app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Routes File
|--------------------------------------------------------------------------
|
| Here is where you will register all of the routes in an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', function () {
    return view('welcome');
});

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| This route group applies the "web" middleware group to every route
| it contains. The "web" middleware group is defined in your HTTP
| kernel and includes session state, CSRF protection, and more.
|
*/

Route::group(['middleware' => ['web']], function () {
	Route::get('/', 'PostsController@index');
	Route::resource('users', 'UsersController');
	Route::resource('events', 'EventsController');
	Route::resource('posts', 'PostsController');
	Route::resource('comments', 'CommentsController');
	Route::resource('interests', 'InterestsController');
	Route::resource('event_types', 'EventTypesController');
	Route::get('farmers/{id}', 'UsersController@farmers');
});

app/Http/Controllers/EventTypesController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\EventType;
use App\Http\Requests\EventTypes\CreateEventTypeRequest;
use App\Http\Requests\EventTypes\UpdateEventTypeRequest;

class EventTypesController extends Controller
{
    public function __construct()
    {
        //
    }

    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        $eventtypes = EventType::paginate(20);

        $index = $eventtypes->firstItem();

        return view('eventtypes.index', compact('eventtypes', 'index'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        return view('eventtypes.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function store(CreateEventTypeRequest $request)
    {
        $eventtype = EventType::create($request->all());

        return redirect()->route('eventtypes.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id)
    {
        $eventtype = EventType::findOrFail($id);

        return view('eventtypes.show', compact('eventtype'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        $eventtype = EventType::findOrFail($id);
    
        return view('eventtypes.edit', compact('eventtype'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function update(UpdateEventTypeRequest $request, $id)
    {       
        $eventtype = EventType::findOrFail($id);

        $eventtype->update($request->all());

        return redirect()->route('eventtypes.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
        $eventtype = EventType::findOrFail($id);
        
        $eventtype->delete();
    
        return redirect()->route('eventtypes.index');
    }

}

resources/views/eventtypes/create.blade.php
@extends('layouts.master')

@section('content')

    <div class="panel panel-default">
        <div class="panel-heading">
            Add New EventType
            <div class="panel-nav pull-right" style="margin-top: -7px;">
                <a href="{!! route('event_types.index') !!}" class="btn btn-default">Back</a>
            </div>
        </div>
        <div class="panel-body">
            @include('event_types.form')
        </div>
    </div>

@stop

resources/views/eventtypes/edit.blade.php
@extends('layouts.master')

@section('content')

    <div class="panel panel-default">
        <div class="panel-heading">
            Edit EventType
            <div class="panel-nav pull-right" style="margin-top: -7px;">
                <a href="{!! route('event_types.index') !!}" class="btn btn-default">Back</a>
            </div>
        </div>
        <div class="panel-body">
            @include('event_types.form', ['model' => $eventtype])
        </div>
    </div>

@stop

resources/views/eventtypes/form.blade.php
@if (count($errors) > 0)
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

<div class="form-horizontal">
    @if (isset($model))
        {!! Form::model($model, ['files' => true, 'method' => 'PUT', 'route' => ['event_types.update', $model->id]]) !!}
    @else
        {!! Form::open(['files' => true, 'route' => 'event_types.store']) !!}
    @endif
    
	<div class="form-group">
	    {!! Form::label('name', 'Name:', ['class' => 'col-md-2 control-label']) !!}
	    <div class="col-sm-9">
	        {!! Form::text('name', null, ['class' => 'form-control']) !!}
	    </div>
	</div>

    <div class="form-group">
        <label class="col-md-2 control-label"></label>
        <div class="col-sm-9">
            {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
        </div>
    </div>
    {!! Form::close() !!}
</div>

resources/views/eventtypes/index.blade.php
@extends('layouts.master')

@section('content')
  <div class="panel panel-default">
	<div class="panel-heading">
		All EventTypes
		<div class="panel-nav pull-right" style="margin-top: -7px;">
			<a href="{!! route('event_types.create') !!}" class="btn btn-default">Add New</a>
		</div>
	</div>
	<table class="table table-stripped table-bordered">
		<thead>
			<th class="text-center">#</th>
			<th>Name</th>

			<th>Created At</th>
			<th class="text-center">Action</th>
		</thead>
		<tbody>
			@foreach ($eventtypes as $eventtype)
				<tr>
					<td class="text-center">{!! $index !!}</td>
					<td>{!! $eventtype->name !!}</td>
		
					<td>{!! $eventtype->created_at !!}</td>
					<td class="text-center">
						<div class="btn-group">
							{!! Form::open(['method' => 'DELETE', 'route' => ['event_types.destroy', $eventtype->id]]) !!}
							<a href="{!! route('event_types.show', $eventtype->id) !!}" class="btn btn-sm btn-default" title="View" data-toggle="tooltip"><i class="glyphicon glyphicon-eye-open"></i></a>
							<a href="{!! route('event_types.edit', $eventtype->id) !!}" class="btn btn-sm btn-default" title="Edit" data-toggle="tooltip"><i class="glyphicon glyphicon-edit"></i></a>
							<button type="submit" class="btn btn-sm btn-default" title="Delete" data-toggle="tooltip"><i class="glyphicon glyphicon-trash"></i></button>
							{!! Form::close() !!}
						</div>
					</td>
				</tr>
				<?php $index++; ?>
			@endforeach
		</tbody>
	</table>
	<div class="panel-footer">
		<div class="text-center">{!! $eventtypes !!}</div>
	</div>
</div>
@stop

resources/views/eventtypes/show.blade.php
@extends('layouts.master')

@section('content')
    <div class="panel panel-default">
        <div class="panel-heading">
            Show EventType
            <div class="panel-nav pull-right" style="margin-top: -7px;">
                <a href="{!! route('event_types.edit', $eventtype->id) !!}" class="btn btn-default">Edit</a>
                <a href="{!! route('event_types.index') !!}" class="btn btn-default">Back</a>
            </div>
        </div>
        <table class="table table-stripped table-bordered">
            <tr>
                <td><b>ID</b></td>
                <td>{!! $eventtype->id !!}</td>
            </tr>

			
            <tr>
                <td><b>Name</b></td>
                <td>{!! $eventtype->name !!}</td>
            </tr>

            <tr>
                <td><b>Created At</b></td>
                <td>{!! $eventtype->created_at !!}</td>
            </tr>
        </table>
    </div>
@stop